<?php
session_start();
require('includes/config.php');

$id = $_SESSION['userid'];
$email = $_SESSION['email'];
$password = $_SESSION['password'];  
if(!$id || !$email || !$password)
{
	session_destroy();
	header('Location:index.php');
}

if ($_GET['logout'] == 'yes')
{
	session_destroy();
	header('Location:index.php');
}



//CHECK EMAIl
function checkemail($email)
{
    // Kijk of er een @ in zit, zo nee false
    if(!stristr($email, '@'))
    {
        return false;
    }
    $email_split = explode("@", $email);
    // Er mag slecht één @ inzitten dus het array moet 2 records tellen
    if(count($email_split) != 2)
    {
        return false;
    }
    $email_user = $email_split[0];
    $email_host = $email_split[1];
    // Kijk of er MX-servers zijn, zo nee false
    if(!getmxrr($email_host, $var))
    {
        return false;
    }
    // Kijk of het usergedeelte oké is, zo nee false
    if(!preg_match("/^[0-9a-z]([-_.~]?[0-9a-z])*$/i", $email_user))
    {
        return false;
    }
    return true;
}




//FILE USAGE METER
$meter_q = mysql_query("SELECT sum(size) AS size FROM files WHERE user_id=$id");
$meter = mysql_fetch_assoc($meter_q);

$usage = $meter['size'];
$meter = round(($usage/$storage_space)*100);


/*echo '
														<form class="paypal" action="paypal/payments.php" method="post" id="paypal_form" target="_blank">    
															<input type="hidden" name="cmd" value="_xclick" /> 
														    <input type="hidden" name="no_note" value="1" />
														    <input type="hidden" name="lc" value="BE" />
														    <input type="hidden" name="currency_code" value="EUR" />
														    <input type="hidden" name="bn" value="PP-BuyNowBF:btn_buynow_LG.gif:NonHostedGuest" />
														    <input type="hidden" name="first_name" value="Customers First Name"  />
														    <input type="hidden" name="last_name" value="Customers Last Name"  />
														    <input type="hidden" name="payer_email" value="customer@example.com"  />
														    <input type="hidden" name="item_name" value="Krediet toevoegen: EUR 10" / >
														    <input type="hidden" name="item_number" value="10" / >
                                 							<input type="submit" class="uibutton " value="betaal" style="width: 100%; font-size:120%;">
														</form>';
														
*/

//EDIT ACCOUNT INFO
if (isset($_POST['save_account']))
{
	$fullname = mysql_real_escape_string(htmlspecialchars($_POST['fullname']));
	$email = mysql_real_escape_string(htmlspecialchars($_POST['email']));
	
	if (!empty($fullname) && checkemail($email) == TRUE)
	{
		mysql_query("UPDATE users SET fullname='$fullname', email='$email' WHERE id=$id");
		
		//Give success message
		$success = 'Your personal information has been edited!';
	} else {
		$error = 'Incorrect data!';
	}
}



//CHANGE PASSWORD
if (isset($_POST['save_password']))
{
	$old_pass = md5(mysql_real_escape_string(htmlspecialchars($_POST['old_pass'])));
	$pass = mysql_real_escape_string(htmlspecialchars($_POST['pass']));
	$pass2 = mysql_real_escape_string(htmlspecialchars($_POST['pass']));
	
	$pass_hash = md5(mysql_real_escape_string(htmlspecialchars($_POST['pass'])));
	$pass2_hash = md5(mysql_real_escape_string(htmlspecialchars($_POST['pass2'])));
	
	$checkValid = mysql_query("SELECT id FROM users WHERE id='$id' AND password='$old_pass'");
	if (mysql_num_rows($checkValid) == 1)
	{
		//Check if 2 passwords match 
		if ($pass_hash !== $pass2_hash)
		{
			$error2 = 'I don\'t think those passwords are the same...';
		}
		elseif (strlen($pass) < 6)
		{
			$error2 = 'Your password should contain at least 6 characters...';
		}
		else
		{
			mysql_query("UPDATE users SET password='$pass_hash' WHERE id=$id");
			$success2 = 'Your password has been changed!';
		}
	} else {
		$error2 = 'That is not your password!';
	}
}




//Data for settings
$settings_q = mysql_query("SELECT email,fullname FROM users WHERE id = $id");
$settings = mysql_fetch_assoc($settings_q);

$user_email = $settings['email'];
$user_fullname = $settings['fullname'];

?>


<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta name="viewport" content="initial-scale = 1.0,maximum-scale = 1.0" />

<title><?php echo $site_name; ?></title>
<link href="css/style_full.css" rel="stylesheet" type="text/css">
<link href="css/left_nav.css" rel="stylesheet" type="text/css">
<link href="css/meter.css" rel="stylesheet" type="text/css">



</head>

<body>
<!-- HEADER -->
<header>
	
    <h1><?php echo $site_name; ?></h1>
    <ul id="menu">
    	<li><a href="filemanager.php">File Manager</a></li>
    	<li><a href="settings.php">Settings</a></li>
    	<li><a href="?logout=yes">Logout</a></li>
    </ul>
    
</header>


<!-- LEFT -->
<div id="left">
<ul id="settings_nav">
	<li><a href="#info">Personal information</a></li>
	<li><a href="#pass">Change password</a></li>
	<li><a href="#usage">Space usage</a></li>
</ul>
</div>

<!-- RIGHT -->
<div id="settings_right">
    
    <div id="settings">
    
    <h2 id="info">Personal information </h2>
    <?php
	if (isset($success))
	{
		echo '<div class="success">
					'.$success.'
   			 </div>';
	}
	if (isset($error))
	{
		echo '<div class="error">
					'.$error.'
   			 </div>';
	}
	?>
   	<form action="" method="post">
    <div class="formline">
    	<label for="fullname">Full name:</label>
    		<input id="fullname" name="fullname" type="text" value="<?php echo $user_fullname; ?>">
    </div>
    <div class="formline">
    	<label for="email">Email address:</label>
    		<input id="email" name="email" type="email" value="<?php echo $user_email; ?>">
    </div>

    <div class="formline">
    	<input type="submit"class="button2" name="save_account" value="Save">
    </div>
    </form>
    
    
    <div class="clear"></div>


    <h2 id="pass">Change password </h2>
     <?php
	if (isset($success2))
	{
		echo '<div class="success">
					'.$success2.'
   			 </div>';
	}
	if (isset($error2))
	{
		echo '<div class="error">
					'.$error2.'
   			 </div>';
	}
	?>
   	<form action="" method="post">
    <div class="formline">
    	<label for="pass">Old Password:</label>
    		<input id="pass" name="old_pass" type="password" value="">
    </div>
    <div class="formline">
    	<label for="pass">New Password:</label>
    		<input id="pass" name="pass" type="password" value="">
    </div>
    <div class="formline">
    	<label for="pass2">Retype New Password:</label>
    		<input id="pass2" name="pass2" type="password" value="">
    </div>
    <div class="formline">
    	<input type="submit"class="button2" name="save_password" value="Save">
    </div>
    </form>
    
    
    <div class="clear"></div>
    
    
    <h2 id="usage">Space Usage</h2>
    
    <div id="meter2">        
        <div class="meter blue nostripes">
            <span style="width:<?php echo $meter; ?>%"></span>
            <span id="percent2"><?php echo $meter; ?>%</span>
        </div>
        
        <span id="usage-info">
        	<?php echo round(($usage / 1000000), 2).' MB / '.($storage_space / 1000000).' MB'; ?>
        </span>
    </div>
    
    <div class="clear"></div>

</div>    
</div>
</body>
</html>
