<?php
require('includes/config_index.php');
session_start();  

$datetime = date("Y-m-d H:i:s");

function checkemail($email)
{
    // Kijk of er een @ in zit, zo nee false
    if(!stristr($email, '@'))
    {
        return false;
    }
    $email_split = explode("@", $email);
    // Er mag slecht één @ inzitten dus het array moet 2 records tellen
    if(count($email_split) != 2)
    {
        return false;
    }
    $email_user = $email_split[0];
    $email_host = $email_split[1];
    // Kijk of er MX-servers zijn, zo nee false
    if(!getmxrr($email_host, $var))
    {
        return false;
    }
    // Kijk of het usergedeelte oké is, zo nee false
    if(!preg_match("/^[0-9a-z]([-_.~]?[0-9a-z])*$/i", $email_user))
    {
        return false;
    }
    return true;
}


/*
	REGISTER
*/

if (isset($_POST['signup']))
{
	$signup_name = $_POST['signup_name'];
	$signup_email = $_POST['signup_email'];
	$signup_password = $_POST['signup_password'];
	$signup_password2 = $_POST['signup_password2'];
		
	if (!$signup_name || !$signup_email || !$signup_password || !$signup_password2)
	{
		$error = '	<script>
					$(document).ready(function() {
						$(signin).hide(0);$(signup).show(0); 
					});
					</script>
					
					 Did you fill in all the fields?!';
	}
	elseif (checkemail($signup_email) == FALSE)
	{
		$error = '	<script>
					$(document).ready(function() {
						$(signin).hide(0);$(signup).show(0); 
					});
					</script>
					
					 Are you sure that\'s your email address?!';
	}
	elseif ($signup_password !== $signup_password2)
	{
		$error = '	<script>
					$(document).ready(function() {
						$(signin).hide(0);$(signup).show(0); 
					});
					</script>
					
					 I don\'t think those passwords are the same...';
	}
	elseif (strlen($signup_password) < 6)
	{
		$error = '	<script>
					$(document).ready(function() {
						$(signin).hide(0);$(signup).show(0); 
					});
					</script>
					
					 Your password should contain at least 6 characters...';
	}
	else 
	{		
		//Check if email is already taken
		$emailAvailable_q = mysql_query("SELECT id FROM users WHERE email='$signup_email'");
		
		if (mysql_num_rows($emailAvailable_q) > 0)
		{
			$error = '	<script>
						$(document).ready(function() {
							$(signin).hide(0);$(signup).show(0); 
						});
						</script>
						
						 There is already an account with that email address..';
		}
		else
		{
			$signup_password = md5($signup_password);
			$signup_name = htmlspecialchars(mysql_real_escape_string($signup_name));
			$signup_email = mysql_real_escape_string($signup_email);
			$encrypt_key = keygen(32);
			
			mysql_query("INSERT INTO users(fullname, email, password, encrypt_key, datetime) VALUES('$signup_name', '$signup_email', '$signup_password', '$encrypt_key', '$datetime')");
			
			$success = 'Great! You can sign in here!';
		}
	}
		
}


/*
	LOGIN
*/

if (isset($_POST['signin']))
{
	$signin_email = $_POST['signin_email'];
	$signin_password = md5($_POST['signin_password']);
	
	$checkLogin_q = mysql_query("SELECT id FROM users WHERE email='$signin_email' AND password='$signin_password'");
	if (mysql_num_rows($checkLogin_q) > 0)
	{
		$checkLogin = mysql_fetch_assoc($checkLogin_q);
		
		$_SESSION['userid'] = $checkLogin['id'];
		$_SESSION['email'] = $signin_email;  
		$_SESSION['password'] = $signin_password;  
		header("location:filemanager.php");
	}
	else
	{
			$error = 'The email address and password did not match...';
		}
}


/*
	FORGOT 
*/
if (isset($_POST['forgot']))
{
	$email = mysql_real_escape_string($_POST['forgot_email']);
	if (!$email)
	{
		$error = '	<script>
					$(document).ready(function() {
						$(signin).hide(0);$(forgot).show(0); 
					});
					</script>
					
					 Did you fill in all the fields?!';
	}
	else
	{
		$checkEmail_q = mysql_query("SELECT id FROM users WHERE email='$email'");
		if (mysql_num_rows($checkEmail_q) !== 1)
		{
			$error = '	<script>
						$(document).ready(function() {
							$(signin).hide(0);$(forgot).show(0); 
						});
						</script>
						
						 That email address is not in our database...';
		}
		else
		{
			$checkEmail = mysql_fetch_assoc($checkEmail_q);
			$forgot_userid = $checkEmail['id'];
			
			$checkForgot_q = mysql_query("SELECT id FROM forgot_password WHERE user_id=$forgot_userid");
			
			if (mysql_num_rows($checkForgot_q) > 0)
			{
				$error = '	<script>
							$(document).ready(function() {
								$(signin).hide(0);$(forgot).show(0); 
							});
							</script>
							
							 You already requested a new password...';
			}
			else
			{
				//everything OK
				
				$link = createRandomPassword();
				//Insert into database
				mysql_query("INSERT INTO forgot_password (user_id, email, link, datetime) VALUES ('$forgot_userid', '$email', '$link', '$datetime')");
					
				//Send mail to user with link
				$to      =  $email;
				$subject = 'Link to reset your password';
				$message = '
				You just requested a new password.
				
				Click the link below to reset your password.
				'.$site_path.'newpass.php?link='.$link;
				
				
				$headers = 'From: donotreply@filestorage.com' . "\r\n" .
						'Reply-To: donotreply@filestorage.com' . "\r\n" .
						'X-Mailer: PHP/' . phpversion();
					
				mail($to, $subject, $message, $headers);
				
				$success = '	<script>
							$(document).ready(function() {
								$(signin).hide(0);$(forgot).show(0); 
							});
							</script>
							
							 A link to reset your password is sent to you!';
			}
		}
	}
	
}
?>


<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta name="viewport" content="initial-scale = 1.0,maximum-scale = 1.0" />
<title><?php echo $site_name; ?></title>
<link href="css/style_full.css" rel="stylesheet" type="text/css">
<link href="css/left_nav.css" rel="stylesheet" type="text/css">
<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js"></script>


</head>

<body>
<!-- HEADER -->
<header>
	
    <h1><?php echo $site_name; ?></h1>
    <ul id="menu">
    	<li><a href="#" onclick="$(signin).hide(0);$(signup).show(500);">Register</a></li>
    	<li><a href="#" onclick="$(signup).hide(0);$(signin).show(500);">Login</a></li>
    </ul>
    
</header>

<div id="container">

<div id="left-image">
<img src="images/cloud.jpg" alt="cloud">
</div>
<div id="register">
    
    <div id="signin">
	<h3>Sign in</h3>
    <span id="register"><a href="#" onclick="$(signin).hide(0);$(signup).show(500);">(Or create an account)</a></span>
    <?php
	if (isset($success))
	{
		echo '<div class="success">
					'.$success.'
   			 </div>';
	}
	?>
    <?php
	if (isset($error))
	{
		echo '<div class="error">
					'.$error.'
   			 </div>';
	}
	?>
        <form action="" method="post">
            <div class="formline">
                <input name="signin_email" type="text" placeholder="E-mail address">
            </div>
            <div class="formline">
                <input name="signin_password" type="password" placeholder="Password">
            </div>
            <div class="formline">
            <span id="forgot"><a href="#">Forgot your password?</a></span>
            <input type="submit" name="signin" class="button" value="Sign In">
            </div>
        </form>
    </div>
    
    <div id="signup" style="display:none;">
	<h3>Sign up</h3>
    <span id="register"><a href="#" onclick="$(signup).hide(0);$(signin).show(500);">(Or sign in here)</a></span>
    <?php
	if (isset($error))
	{
		echo '<div class="error">
					'.$error.'
   			 </div>';
	}
	?>
        <form action="" method="post">
            <div class="formline">
                <input name="signup_name" type="text" placeholder="Full name" value="<?php echo $signup_name; ?>">
            </div>
            <div class="formline">
                <input name="signup_email" type="email" placeholder="E-mail address" value="<?php echo $signup_email; ?>">
            </div>
            <div class="formline">
                <input name="signup_password" type="password" placeholder="Pasword">
            </div>
            <div class="formline">
                <input name="signup_password2" type="password" placeholder="Repeat password">
            </div>
            <div class="formline">
            <input type="submit" name="signup" class="button" value="Sign up">
            </div>
        </form>
    </div>



    <div id="forgot" style="display:none;">
	<h3>Forgot password</h3>
    <span id="register"><a href="#" onclick="$(signup).hide(0);$(forgot).hide(0);$(signin).show(500);">(Or sign in here)</a></span>
    <?php
	if (isset($error))
	{
		echo '<div class="error">
					'.$error.'
   			 </div>';
	}
	?>
    <?php
	if (isset($success))
	{
		echo '<div class="success">
					'.$success.'
   			 </div>';
	}
	?>
        <form action="" method="post">
            <div class="formline">
                <input name="forgot_email" type="email" placeholder="Email address">
            </div>
            <div class="formline">
            <input type="submit" name="forgot" class="button" value="Send recovery mail">
            </div>
        </form>
    </div>
</div>

</div>

<div id="footer">

</div>


<script>
 $('#forgot').click(function(){
     $('div#signin').hide();
	 $('div#forgot').show(500);
   });
</script>
</body>
</html>
